Opened 3 years ago

Closed 15 months ago

#2882 closed defect (fixed)

ffmpeg can't save h264 stream from v4l2 webcam into file without recoding

Reported by: pchel Owned by:
Priority: normal Component: avdevice
Version: git-master Keywords: v4l2 h264
Cc: Blocked By:
Blocking: Reproduced by developer: no
Analyzed by developer: no

Description

Summary of the bug: If I want to save a h264 yuvj420p video stream from webcam into a file without recoding it gives me empty file. But if I set recoding option it works.
How to reproduce: Get Logitech C920 webcam and run the command line below:

% ffmpeg -vcodec h264 -f v4l2 -i /dev/video0 -vcodec copy -y out.mkv
ffmpeg version: git master from 2013-08-16
built on Ubuntu 12.10 x64

But if I remove '-vcodec copy' option and ffmpeg start recode from h264 to mpeg4 everything works fine

Attachments (9)

ffmpeg_zerooutput.txt (3.4 KB) - added by pchel 3 years ago.
Console output with -vcodec copy option. Zero output. Error.
ffmpeg_normal.txt (11.0 KB) - added by pchel 3 years ago.
Normal. Without -vcodec copy option. No error.
ffmpeg_debug_ts.txt (22.3 KB) - added by pchel 3 years ago.
ffmpeg with debug_ts option
ffmpeg_report.txt (3.8 KB) - added by pchel 3 years ago.
ffmpeg with report option
ffmpeg-20130818-111131.log (7.8 KB) - added by pchel 3 years ago.
Report
patchv4l2parseh264.diff (602 bytes) - added by cehoyos 3 years ago.
patchv4l2parseh264headers.diff (605 bytes) - added by cehoyos 3 years ago.
output.h264.txt (20.9 KB) - added by pchel 3 years ago.
output.mpeg.txt (19.8 KB) - added by pchel 3 years ago.

Download all attachments as: .zip

Change History (36)

Changed 3 years ago by pchel

Console output with -vcodec copy option. Zero output. Error.

Changed 3 years ago by pchel

Normal. Without -vcodec copy option. No error.

comment:1 follow-up: Changed 3 years ago by cehoyos

  • Component changed from FFmpeg to undetermined
  • Keywords v4l2 h264 added; yuvj420p removed
  • Status changed from new to open
  • Summary changed from ffmpeg can't save yuvj420p stream from webcam into file without recoding to ffmpeg can't save h264 stream from webcam into file without recoding

What does -debug_ts show?

comment:2 follow-ups: Changed 3 years ago by xlinkz0

Run

ffmpeg -report -y -i /dev/video0 -t 10 -c copy out.mkv

comment:3 in reply to: ↑ 2 Changed 3 years ago by cehoyos

Replying to xlinkz0:

Run

ffmpeg -report -y -i /dev/video0 -t 10 -c copy out.mkv

Why?

I mean: How would that help to solve this ticket?

comment:4 in reply to: ↑ 1 Changed 3 years ago by pchel

Replying to cehoyos:

What does -debug_ts show?

It shows a lot of demuxer output, but no "writing block" output. See the attachment.

Changed 3 years ago by pchel

ffmpeg with debug_ts option

comment:5 in reply to: ↑ 2 Changed 3 years ago by pchel

Replying to xlinkz0:

Run

ffmpeg -report -y -i /dev/video0 -t 10 -c copy out.mkv

I made a little bit other command. You can find the output and the report in the attachments. The command above generate an error: "/dev/video0: Invalid argument".

Changed 3 years ago by pchel

ffmpeg with report option

Changed 3 years ago by pchel

Report

comment:6 Changed 3 years ago by cehoyos

Mostly unrelated: Am I correct that -vcodec h264 is unneeded / makes no difference neither for the working nor the non-working case?

comment:7 Changed 3 years ago by pchel

The -vcodec option is needed to turn yuvj420p mode on. Without this option I get YUY2 video, not yuvj420p.

See below:
Without codec
➜ ffmpeg git:(master) ✗ ./ffmpeg -f v4l2 -i /dev/video0 -vcodec copy -y out.mkv 2>&1 | grep "Stream #0:0"

Stream #0:0: Video: rawvideo (YUY2 / 0x32595559), yuyv422, 1920x1080, 165888 kb/s, 5 fps, 5 tbr, 1000k tbn, 1000k tbc
Stream #0:0: Video: rawvideo (YUY2 / 0x32595559), yuyv422, 1920x1080, q=2-31, 165888 kb/s, 5 fps, 1k tbn, 1000k tbc

With the codec
➜ ffmpeg git:(master) ✗ ./ffmpeg -f v4l2 -vcodec h264 -i /dev/video0 -vcodec copy -y out.mkv 2>&1 | grep "Stream #0:0"

Stream #0:0: Video: h264 (Constrained Baseline), yuvj420p, 1920x1080 [SAR 1:1 DAR 16:9], -5 kb/s, 30 fps, 30 tbr, 1000k tbn, 60 tbc
Stream #0:0: Video: h264 (H264 / 0x34363248), yuvj420p, 1920x1080 [SAR 1:1 DAR 16:9], q=2-31, -5 kb/s, 30 fps, 1k tbn, 1000k tbc

Stream #0:0 -> #0:0 (copy)

comment:8 Changed 3 years ago by cehoyos

Of course, sorry for the noise.

comment:9 Changed 3 years ago by pchel

I've also checked input '-vcodec options' yuyv422 and mjpeg. Both options are recorded well with the '-vcodec copy' output option. Only h264 doesn't work well.

comment:10 follow-ups: Changed 3 years ago by xlinkz0

Does the webcam specification say that it can stream yuvj420p ?

As far as I understand you are setting the option on the input. I do not think you can just request a different stream like that from a device.

You modified the simple command I gave you, does the simple command work? Are you only dissatisfied that it is not the proper format? If so you might want to reconsider transcoding it on the fly with a fast x264 preset that will work in real time for most mid-range processors.

Unless you can prove that you can receive in any other way a yuvj420p directly from the webcam without any software transcoding try :

ffmpeg -y -i /dev/video0 -f v4l2 -c:v libx264 -preset superfast out.mkv

comment:11 in reply to: ↑ 10 Changed 3 years ago by cehoyos

  • Summary changed from ffmpeg can't save h264 stream from webcam into file without recoding to ffmpeg can't save h264 stream from v4l2 webcam into file without recoding

Replying to xlinkz0:

Does the webcam specification say that it can stream yuvj420p ?

As far as I understand you are setting the option on the input. I do not think you can just request a different stream like that from a device.

The problem reported in this ticket (Remuxing h264 from v4l2 device does not work) was reported many times on the mailing list, the problem afaict is that no developer owns a device so nobody can test.

Of course other things (like reencoding or not using h264 input in the first place) will work fine but this is not what was requested / reported.

comment:12 follow-up: Changed 3 years ago by xlinkz0

I'm sorry, I suppose I just tried to help the guy out not help solve a problem in ffmpeg, my bad.

In this case why isn't the user requested to give remote ssh access to a dev?

comment:13 in reply to: ↑ 12 Changed 3 years ago by cehoyos

Replying to xlinkz0:

I'm sorry, I suppose I just tried to help the guy out not help solve a problem in ffmpeg, my bad.

No problem.

In this case why isn't the user requested to give remote ssh access to a dev?

(This is quite unusual afair.)
Maybe after somebody looked at the debug_ts output.

comment:14 in reply to: ↑ 10 Changed 3 years ago by pchel

Replying to xlinkz0:

Does the webcam specification say that it can stream yuvj420p ?

I can't find the webcam specification, but I'm pretty sure it supports

Proofs

v4l2-ctl -i /dev/video0 --list-formats
Video input set to 0 (Camera 1: ok)
ioctl: VIDIOC_ENUM_FMT
	Index       : 0
	Type        : Video Capture
	Pixel Format: 'YUYV'
	Name        : YUV 4:2:2 (YUYV)

	Index       : 1
	Type        : Video Capture
	Pixel Format: 'H264' (compressed)
	Name        : H.264

	Index       : 2
	Type        : Video Capture
	Pixel Format: 'MJPG' (compressed)
	Name        : MJPEG

ffmpeg works just fine with yuvj420p and recoding

As far as I understand you are setting the option on the input. I do not think you can just request a different stream like that from a device.

Don't understand that. I can request YUYV (5 frames per second), MJPEG (5 frames per second if I'm right) and H264 (30 frames per second). I chose H264 because it gives me 30 fps from me webcam

You modified the simple command I gave you, does the simple command work?

It doesn't. See below:

➜  ffmpeg git:(master) ✗ ./ffmpeg -report -y -i /dev/video0 -t 10 -c copy out.mkv
ffmpeg started on 2013-08-21 at 19:38:47
Report written to "ffmpeg-20130821-193847.log"
ffmpeg version N-55607-g2c1a215 Copyright (c) 2000-2013 the FFmpeg developers
  built on Aug 18 2013 10:35:18 with gcc 4.7 (Ubuntu/Linaro 4.7.2-2ubuntu1)
  configuration: --enable-indev=alsa
  libavutil      52. 42.100 / 52. 42.100
  libavcodec     55. 28.100 / 55. 28.100
  libavformat    55. 13.103 / 55. 13.103
  libavdevice    55.  3.100 / 55.  3.100
  libavfilter     3. 82.100 /  3. 82.100
  libswscale      2.  5.100 /  2.  5.100
  libswresample   0. 17.103 /  0. 17.103
/dev/video0: Invalid argument

Are you only dissatisfied that it is not the proper format?

The camera supports hardware h.264 encoding. I want to use this hardware capability.

If so you might want to reconsider transcoding it on the fly with a fast x264 preset that will work in real time for most mid-range processors.

I've already have fast recoding from h.264 from camera into mp4 with command line

ffmpeg -f alsa -ac 2 -i plughw:CARD=C920,DEV=0 -acodec aac -vcodec h264 -f v4l2 -i /dev/video0 -q 0 -vcodec mpeg4  -y -strict -2 out.mp4

Unless you can prove that you can receive in any other way a yuvj420p directly from the webcam without any software transcoding try :

ffmpeg -y -i /dev/video0 -f v4l2 -c:v libx264 -preset superfast out.mkv

It doesn't work again:

➜  ffmpeg git:(master) ✗ ./ffmpeg -y -i /dev/video0 -f v4l2 -c:v libx264 -preset superfast out.mkv
ffmpeg version N-55607-g2c1a215 Copyright (c) 2000-2013 the FFmpeg developers
  built on Aug 18 2013 10:35:18 with gcc 4.7 (Ubuntu/Linaro 4.7.2-2ubuntu1)
  configuration: --enable-indev=alsa
  libavutil      52. 42.100 / 52. 42.100
  libavcodec     55. 28.100 / 55. 28.100
  libavformat    55. 13.103 / 55. 13.103
  libavdevice    55.  3.100 / 55.  3.100
  libavfilter     3. 82.100 /  3. 82.100
  libswscale      2.  5.100 /  2.  5.100
  libswresample   0. 17.103 /  0. 17.103
Unrecognized option 'preset'.
Error splitting the argument list: Option not found

I suspect you need to put '-i' option between input and output params.

In any case, thank you for your try to help me.

comment:15 Changed 3 years ago by cehoyos

Please test -copyinkf:

$ ffmpeg -f v4l2 -vcodec h264 -i /dev/video0 -copyinkf -vcodec copy out.mkv

If it works, please provide a sample.

Last edited 3 years ago by cehoyos (previous) (diff)

Changed 3 years ago by cehoyos

comment:16 Changed 3 years ago by cehoyos

And please test attached patch (without -copyinkf).

Changed 3 years ago by cehoyos

comment:17 follow-up: Changed 3 years ago by cehoyos

  • Component changed from undetermined to avdevice
  • Resolution set to fixed
  • Status changed from open to closed

Should be fixed in cf94299.

comment:18 Changed 3 years ago by pchel

The -copyinkf worked fine.

The cf94299 fixes the issue!

Thanks!

comment:19 in reply to: ↑ 17 ; follow-up: Changed 3 years ago by pchel

Replying to cehoyos:

Should be fixed in cf94299.

It was fixed but. It gives me 15 fps only. But ffmpeg gives me 30 fps with recoding into mpeg.

Is it ok?

comment:20 in reply to: ↑ 19 Changed 3 years ago by cehoyos

Replying to pchel:

Replying to cehoyos:

Should be fixed in cf94299.

It was fixed but. It gives me 15 fps only. But ffmpeg gives me 30 fps with recoding into mpeg.

Command line and complete, uncut console output for both commands missing.

comment:21 Changed 3 years ago by pchel

First one: h264

/home/ps/work/ffmpeg/ffmpeg -f alsa -ac 2 -i plughw:CARD=C920,DEV=0 -acodec aac -vcodec h264 -f v4l2 -i /dev/video0 -q 0 -vcodec copy -y -strict -2 -t 00:00:05 out.h264.mp4

Second one: mpeg

/home/ps/work/ffmpeg/ffmpeg -f alsa -ac 2 -i plughw:CARD=C920,DEV=0 -acodec aac -vcodec h264 -f v4l2 -i /dev/video0 -q 0 -vcodec mpeg4  -y -strict -2 -t 00:00:05 out.mpeg.mp4

The outputs in the attachment.

Changed 3 years ago by pchel

Changed 3 years ago by pchel

comment:22 follow-up: Changed 3 years ago by cehoyos

 frame=  149 fps= 27 q=0.0 Lsize=    3569kB time=00:00:05.02 bitrate=5823.7kbits/s dup=71 drop=7

Looks as if the input frame rate is really ~15fps, don't you agree?

comment:23 in reply to: ↑ 22 ; follow-up: Changed 3 years ago by pchel

Replying to cehoyos:

 frame=  149 fps= 27 q=0.0 Lsize=    3569kB time=00:00:05.02 bitrate=5823.7kbits/s dup=71 drop=7

Looks as if the input frame rate is really ~15fps, don't you agree?

I can't agree. When I run the command with mpeg encoding for a minute I get following

frame=  648 fps= 30 q=0.0 size=   14966kB time=00:00:22.80 bitrate=5374.8kbits/s
frame=  663 fps= 30 q=0.0 size=   15387kB time=00:00:23.28 bitrate=5414.1kbits/s
frame=  677 fps= 30 q=0.0 size=   15724kB time=00:00:23.81 bitrate=5409.1kbits/s
frame=  689 fps= 29 q=0.0 size=   16012kB time=00:00:24.32 bitrate=5392.0kbits/s
frame=  711 fps= 30 q=0.0 size=   16461kB time=00:00:24.82 bitrate=5432.4kbits/s
frame=  725 fps= 30 q=0.0 size=   16812kB time=00:00:25.32 bitrate=5437.5kbits/s
frame=  740 fps= 30 q=0.0 size=   17190kB time=00:00:25.88 bitrate=5440.6kbits/s
frame=  752 fps= 29 q=0.0 size=   17495kB time=00:00:26.39 bitrate=5429.6kbits/s
frame=  774 fps= 30 q=0.0 size=   17927kB time=00:00:26.82 bitrate=5475.0kbits/s
frame=  786 fps= 30 q=0.0 size=   18220kB time=00:00:27.41 bitrate=5443.8kbits/s
frame=  801 fps= 30 q=0.0 size=   18552kB time=00:00:27.90 bitrate=5445.4kbits/s
frame=  815 fps= 30 q=0.0 size=   18862kB time=00:00:28.42 bitrate=5436.5kbits/s
frame=  829 fps= 30 q=0.0 size=   19317kB time=00:00:28.95 bitrate=5465.0kbits/s
frame=  849 fps= 30 q=0.0 size=   19662kB time=00:00:29.46 bitrate=5466.1kbits/s
frame=  862 fps= 30 q=0.0 size=   20009kB time=00:00:29.93 bitrate=5475.1kbits/s
frame=  876 fps= 30 q=0.0 size=   20352kB time=00:00:30.47 bitrate=5471.6kbits/s
frame=  890 fps= 30 q=0.0 size=   20815kB time=00:00:30.96 bitrate=5507.1kbits/s
frame=  912 fps= 30 q=0.0 size=   21191kB time=00:00:31.49 bitrate=5512.4kbits/s
frame=  924 fps= 30 q=0.0 size=   21479kB time=00:00:31.98 bitrate=5501.4kbits/s
frame=  938 fps= 30 q=0.0 size=   21894kB time=00:00:32.49 bitrate=5519.3kbits/s
frame=  951 fps= 30 q=0.0 size=   22227kB time=00:00:32.98 bitrate=5519.6kbits/s
frame=  956 fps= 30 q=0.0 Lsize=   22385kB time=00:00:33.25 bitrate=5514.9kbits/s dup=475 drop=7    
video:21817kB audio:529kB subtitle:0 global headers:0kB muxing overhead 0.172394%

So the fps is 30.

Also as ffmpeg output

Stream #1:0: Video: h264 (Constrained Baseline), yuvj420p(pc), 1920x1080 [SAR 1:1 DAR 16:9], -5 kb/s, 30 fps, 30 tbr, 1000k tbn, 60 tbc

comment:24 in reply to: ↑ 23 ; follow-up: Changed 3 years ago by cehoyos

Replying to pchel:

Replying to cehoyos:

 frame=  149 fps= 27 q=0.0 Lsize=    3569kB time=00:00:05.02 bitrate=5823.7kbits/s dup=71 drop=7

Looks as if the input frame rate is really ~15fps, don't you agree?

I can't agree. When I run the command with mpeg encoding for a minute I get following

frame=  956 fps= 30 q=0.0 Lsize=   22385kB time=00:00:33.25 bitrate=5514.9kbits/s dup=475 drop=7    
video:21817kB audio:529kB subtitle:0 global headers:0kB muxing overhead 0.172394%

So the fps is 30.

Of the 956 encoded frames, 475 were duplicates (and seven of the original frames were dropped), so around 488 frames were sent from the v4l2 device in 33.25 seconds, resulting in ~14.6 fps:
956 - 475 + 7 = 488
488 frames / 33,24 seconds ~ 14,6fps
(It is possible that it is more correct not to add the seven dropped frames, I don't know for sure.)

Also as ffmpeg output

Stream #1:0: Video: h264 (Constrained Baseline), yuvj420p(pc), 1920x1080 [SAR 1:1 DAR 16:9], -5 kb/s, 30 fps, 30 tbr, 1000k tbn, 60 tbc

Yes, this may be a bug.

comment:25 in reply to: ↑ 24 Changed 3 years ago by pchel

Replying to cehoyos:

Also as ffmpeg output

Stream #1:0: Video: h264 (Constrained Baseline), yuvj420p(pc), 1920x1080 [SAR 1:1 DAR 16:9], -5 kb/s, 30 fps, 30 tbr, 1000k tbn, 60 tbc

Yes, this may be a bug.

Hmm. But the camera supports 30 fps on the 1920x1080 resolution. See below:

 v4l2-ctl --list-formats-ext
ioctl: VIDIOC_ENUM_FMT
	Index       : 0
	Type        : Video Capture
	Pixel Format: 'YUYV'
	Name        : YUV 4:2:2 (YUYV)
		Size: Discrete 640x480
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 160x90
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 160x120
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 176x144
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 320x180
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 320x240
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 352x288
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 432x240
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 640x360
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 800x448
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 800x600
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 864x480
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 960x720
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1024x576
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1280x720
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1600x896
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1920x1080
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 2304x1296
			Interval: Discrete 0.500 s (2.000 fps)
		Size: Discrete 2304x1536
			Interval: Discrete 0.500 s (2.000 fps)

	Index       : 1
	Type        : Video Capture
	Pixel Format: 'H264' (compressed)
	Name        : H.264
		Size: Discrete 640x480
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 160x90
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 160x120
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 176x144
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 320x180
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 320x240
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 352x288
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 432x240
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 640x360
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 800x448
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 800x600
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 864x480
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 960x720
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1024x576
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1280x720
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1600x896
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1920x1080
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)

	Index       : 2
	Type        : Video Capture
	Pixel Format: 'MJPG' (compressed)
	Name        : MJPEG
		Size: Discrete 640x480
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 160x90
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 160x120
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 176x144
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 320x180
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 320x240
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 352x288
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 432x240
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 640x360
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 800x448
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 800x600
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 864x480
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 960x720
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1024x576
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1280x720
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1600x896
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)
		Size: Discrete 1920x1080
			Interval: Discrete 0.033 s (30.000 fps)
			Interval: Discrete 0.042 s (24.000 fps)
			Interval: Discrete 0.050 s (20.000 fps)
			Interval: Discrete 0.067 s (15.000 fps)
			Interval: Discrete 0.100 s (10.000 fps)
			Interval: Discrete 0.133 s (7.500 fps)
			Interval: Discrete 0.200 s (5.000 fps)


comment:26 Changed 15 months ago by noah

  • Resolution fixed deleted
  • Status changed from closed to reopened

I would like to do HTTP Live Streaming without transcoding on a Raspberry Pi with a Raspberry Pi Camera module. However, this does not work with FFmpeg. It seems FFmpeg gets confused somewhere after data has been captured from the V4L2 device; the H264 demuxer(?) starts spitting out a bunch of errors which seem to indicate it is being fed junk.

I've verified the problem exists in tag n1.2.12, tag n2.6.1 and master in git.

TLDR:
Changing AVSTREAM_PARSE_HEADERS to AVSTREAM_PARSE_FULL in libavdevice/v4l2.c:v4l2_read_header() fixes the problem for me.

The problem seems to be very similar to what was reported in 2013, and subsequently fixed, here:
https://trac.ffmpeg.org/ticket/2882 (ffmpeg can't save h264 stream from v4l2 webcam into file without recoding)

What I would like to do, which isn't working (H264 errors, zero byte output), is:

$ ./ffmpeg -f v4l2 -t 3 -input_format h264 -i /dev/video0 -vcodec copy -y -loglevel debug foo.mkv
[video4linux2,v4l2 @ 0x2fe4580] fd:3 capabilities:85200005
[video4linux2,v4l2 @ 0x2fe4580] Current input_channel: 0, input_name: Camera 0, input_std: 0
[video4linux2,v4l2 @ 0x2fe4580] Querying the device for the current frame size
[video4linux2,v4l2 @ 0x2fe4580] Setting frame size to 1024x768
[h264 @ 0x2fe4dd0] missing picture in access unit with size 27
[h264 @ 0x2fe4dd0] no frame!
[video4linux2,v4l2 @ 0x2fe4580] Non-increasing DTS in stream 0: packet 11 with DTS 4675266598, packet 12 with DTS 4674226232
... more messages similar to the three above ...

Similarly, this doesn't work either:

$ ./ffprobe -f v4l2 -input_format h264 /dev/video0
[video4linux2,v4l2 @ 0x2aa2fa0] fd:3 capabilities:85200005
[video4linux2,v4l2 @ 0x2aa2fa0] Current input_channel: 0, input_name: Camera 0, input_std: 0
[video4linux2,v4l2 @ 0x2aa2fa0] Querying the device for the current frame size
[video4linux2,v4l2 @ 0x2aa2fa0] Setting frame size to 1024x768
[h264 @ 0x2aa3990] missing picture in access unit with size 27
[h264 @ 0x2aa3990] no frame!
[h264 @ 0x2aa3990] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x2aa2fa0] Non-increasing DTS in stream 0: packet 11 with DTS 4777539060, packet 12 with DTS 4776498682
... more messages similar to the four above ...

What does work, however, is to let ffmpeg stream raw video from the camera and do transcoding (e.g. remove '-vcodec copy'). There are no messages about H264 issues and no messages about 'Non-increasing DTS in stream'.

$ ./ffmpeg -f v4l2 -i /dev/video0 -loglevel debug -y out.mkv
[video4linux2,v4l2 @ 0x279a560] fd:3 capabilities:85200005
[video4linux2,v4l2 @ 0x279a560] Current input_channel: 0, input_name: Camera 0, input_std: 0
[video4linux2,v4l2 @ 0x279a560] Querying the device for the current frame size
[video4linux2,v4l2 @ 0x279a560] Setting frame size to 1024x768
[video4linux2,v4l2 @ 0x279a560] All info found
Input #0, video4linux2,v4l2, from '/dev/video0':
  Duration: N/A, start: 5035.089288, bitrate: 235929 kb/s
    Stream #0:0, 1, 1/1000000: Video: rawvideo, 1 reference frame (I420 / 0x30323449), yuv420p, 1024x768, 1/1000000, 235929 kb/s, 25 fps, 25 tbr, 1000k tbn, 1000k tbc
Successfully opened the file.
Parsing a group of options: output file out.mkv.
Successfully parsed a group of options.
Opening an output file: out.mkv.
Successfully opened the file.
detected 4 logical cores
[graph 0 input from stream 0:0 @ 0x2799e40] Setting 'video_size' to value '1024x768'
[graph 0 input from stream 0:0 @ 0x2799e40] Setting 'pix_fmt' to value '0'
[graph 0 input from stream 0:0 @ 0x2799e40] Setting 'time_base' to value '1/1000000'
[graph 0 input from stream 0:0 @ 0x2799e40] Setting 'pixel_aspect' to value '0/1'
[graph 0 input from stream 0:0 @ 0x2799e40] Setting 'sws_param' to value 'flags=2'
[graph 0 input from stream 0:0 @ 0x2799e40] Setting 'frame_rate' to value '25/1'
[graph 0 input from stream 0:0 @ 0x2799e40] w:1024 h:768 pixfmt:yuv420p tb:1/1000000 fr:25/1 sar:0/1 sws_param:flags=2
[format @ 0x278b5a0] compat: called with args=[yuv420p|yuvj420p|yuv422p|yuvj422p|yuv444p|yuvj444p|nv12|nv16]
[format @ 0x278b5a0] Setting 'pix_fmts' to value 'yuv420p|yuvj420p|yuv422p|yuvj422p|yuv444p|yuvj444p|nv12|nv16'
[AVFilterGraph @ 0x279a1a0] query_formats: 4 queried, 3 merged, 0 already done, 0 delayed
[libx264 @ 0x279cbe0] using mv_range_thread = 56
[libx264 @ 0x279cbe0] using cpu capabilities: ARMv6 NEON
[libx264 @ 0x279cbe0] profile High, level 3.1
[libx264 @ 0x279cbe0] 264 - core 146 r2538 121396c - H.264/MPEG-4 AVC codec - Copyleft 2003-2015 - http://www.videolan.org/x264.html - options: cabac=1 ref=3 deblock=1:0:0 analyse=0x3:0x113 me=hex subme=7 psy=1 psy_rd=1.00:0.00 mixed_ref=1 me_range=16 chroma_me=1 trellis=1 8x8dct=1 cqm=0 deadzone=21,11 fast_pskip=1 chroma_qp_offset=-2 threads=6 lookahead_threads=1 sliced_threads=0 nr=0 decimate=1 interlaced=0 bluray_compat=0 constrained_intra=0 bframes=3 b_pyramid=2 b_adapt=1 b_bias=0 direct=1 weightb=1 open_gop=0 weightp=2 keyint=250 keyint_min=25 scenecut=40 intra_refresh=0 rc_lookahead=40 rc=crf mbtree=1 crf=23.0 qcomp=0.60 qpmin=0 qpmax=69 qpstep=4 ip_ratio=1.40 aq=1:1.00
Output #0, matroska, to 'out.mkv':
  Metadata:
    encoder         : Lavf56.37.100
    Stream #0:0, 0, 1/1000: Video: h264 (libx264), -1 reference frame (H264 / 0x34363248), yuv420p, 1024x768, 1/25, q=-1--1, 25 fps, 1k tbn, 25 tbc
    Metadata:
      encoder         : Lavc56.41.100 libx264
Stream mapping:
  Stream #0:0 -> #0:0 (rawvideo (native) -> h264 (libx264))
Press [q] to stop, [?] for help
frame=    8 fps=1.7 q=-1.0 Lsize=      73kB time=00:00:00.96 bitrate= 624.2kbits/s
video:72kB audio:0kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.981397%
Cliping frame in rate conversion by 0.000008
[libx264 @ 0x279cbe0] frame=   0 QP=15.42 NAL=3 Slice:I Poc:0   I:3072 P:0    SKIP:0    size=14432 bytes
[matroska @ 0x279b810] Writing block at offset 642, size 15121, pts 0, dts -360, duration 40, keyframe 1
[libx264 @ 0x279cbe0] frame=   1 QP=16.44 NAL=2 Slice:P Poc:2   I:694  P:1087 SKIP:1291 size=9335 bytes
[matroska @ 0x279b810] Writing block at offset 15771, size 9335, pts 200, dts -160, duration 40, keyframe 0
[libx264 @ 0x279cbe0] frame=   2 QP=15.75 NAL=2 Slice:P Poc:4   I:578  P:1079 SKIP:1415 size=9797 bytes
[matroska @ 0x279b810] Writing block at offset 25113, size 9797, pts 360, dts 0, duration 40, keyframe 0
[libx264 @ 0x279cbe0] frame=   3 QP=16.83 NAL=2 Slice:P Poc:6   I:211  P:1271 SKIP:1590 size=6231 bytes
[matroska @ 0x279b810] Writing block at offset 34917, size 6231, pts 560, dts 200, duration 40, keyframe 0
[libx264 @ 0x279cbe0] frame=   4 QP=16.13 NAL=2 Slice:P Poc:8   I:496  P:1283 SKIP:1293 size=10826 bytes
[matroska @ 0x279b810] Writing block at offset 41155, size 10826, pts 720, dts 360, duration 40, keyframe 0
[libx264 @ 0x279cbe0] frame=   5 QP=16.75 NAL=2 Slice:P Poc:10  I:158  P:1280 SKIP:1634 size=5959 bytes
[matroska @ 0x279b810] Writing block at offset 51988, size 5959, pts 920, dts 560, duration 40, keyframe 0
[libx264 @ 0x279cbe0] frame=   6 QP=15.89 NAL=2 Slice:P Poc:12  I:246  P:1270 SKIP:1556 size=7799 bytes
[matroska @ 0x279b810] Writing block at offset 57954, size 7799, pts 1080, dts 720, duration 40, keyframe 0
[libx264 @ 0x279cbe0] frame=   7 QP=16.11 NAL=2 Slice:P Poc:14  I:326  P:1366 SKIP:1380 size=9112 bytes
[matroska @ 0x279b810] Writing block at offset 65760, size 9112, pts 1280, dts 920, duration 40, keyframe 0
[matroska @ 0x279b810] end duration = 1320
frame=    8 fps=1.7 q=-1.0 Lsize=      73kB time=00:00:00.96 bitrate= 624.2kbits/s
video:72kB audio:0kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.981397%
Input file #0 (/dev/video0):
  Input stream #0:0 (video): 8 packets read (9437184 bytes); 8 frames decoded; 
  Total: 8 packets (9437184 bytes) demuxed
Output file #0 (out.mkv):
  Output stream #0:0 (video): 8 frames encoded; 8 packets muxed (74180 bytes); 
  Total: 8 packets (74180 bytes) muxed
8 frames successfully decoded, 0 decoding errors

FFprobe is also happy with raw video:

$ ./ffprobe -f v4l2 -input_format yuv420p -i  /dev/video0 -loglevel debug
[video4linux2,v4l2 @ 0x3175fa0] fd:3 capabilities:85200005
[video4linux2,v4l2 @ 0x3175fa0] Current input_channel: 0, input_name: Camera 0, input_std: 0
[video4linux2,v4l2 @ 0x3175fa0] Querying the device for the current frame size
[video4linux2,v4l2 @ 0x3175fa0] Setting frame size to 1024x768
[video4linux2,v4l2 @ 0x3175fa0] All info found
Input #0, video4linux2,v4l2, from '/dev/video0':
  Duration: N/A, start: 4947.198161, bitrate: 235929 kb/s
    Stream #0:0, 1, 1/1000000: Video: rawvideo, 1 reference frame (I420 / 0x30323449), yuv420p, 1024x768, 1/1000000, 235929 kb/s, 25 fps, 25 tbr, 1000k tbn, 1000k tbc

Since ticket #2882 was closed as fixed, v4l2_read_header() in libavdevice/v4l2.c contains:

st->need_parsing = AVSTREAM_PARSE_HEADERS;

If I change this to AVSTREAM_PARSE_FULL, as was suggested in an initial patch in attached to the ticket, ffprobe now works with -input_format h264:

$ ./ffprobe -f v4l2 -input_format h264 -i  /dev/video0 -loglevel debug
[video4linux2,v4l2 @ 0x1ab5fa0] fd:3 capabilities:85200005
[video4linux2,v4l2 @ 0x1ab5fa0] Current input_channel: 0, input_name: Camera 0, input_std: 0
[video4linux2,v4l2 @ 0x1ab5fa0] Querying the device for the current frame size
[video4linux2,v4l2 @ 0x1ab5fa0] Setting frame size to 1024x768
[video4linux2,v4l2 @ 0x1ab5fa0] v4l2_read_header: turning on AVSTREAM_PARSE_FULL
...
[video4linux2,v4l2 @ 0x1ab5fa0] All info found
Input #0, video4linux2,v4l2, from '/dev/video0':
  Duration: N/A, start: 5774.535936, bitrate: N/A
    Stream #0:0, 8, 1/1000000: Video: h264 (High), 1 reference frame, yuv420p(left), 1024x768, 1/2000000, -4 kb/s, 25 fps, 25 tbr, 1000k tbn, 2000k tbc

Also, FFmpeg appears to work much better and actually produces some output data. While it no longer complains about H264 , it floods the screen with warnings about 'Non-monotonous DTS in output stream'.

$ ./ffmpeg -report  -f v4l2 -input_format h264  -i /dev/video0 -vcodec copy  -y -loglevel debug foo.mkv 
[video4linux2,v4l2 @ 0x19769e0] fd:4 capabilities:85200005
[video4linux2,v4l2 @ 0x19769e0] Current input_channel: 0, input_name: Camera 0, input_std: 0
[video4linux2,v4l2 @ 0x19769e0] Querying the device for the current frame size
[video4linux2,v4l2 @ 0x19769e0] Setting frame size to 1024x768
[video4linux2,v4l2 @ 0x19769e0] v4l2_read_header: turning on AVSTREAM_PARSE_FULL
[video4linux2,v4l2 @ 0x19769e0] All info found
Input #0, video4linux2,v4l2, from '/dev/video0':
  Duration: N/A, start: 6421.528593, bitrate: N/A
    Stream #0:0, 8, 1/1000000: Video: h264 (High), 1 reference frame, yuv420p(left), 1024x768, 1/2000000, -4 kb/s, 25 fps, 25 tbr, 1000k tbn, 2000k tbc
Successfully opened the file.
Parsing a group of options: output file foo.mkv.
Applying option vcodec (force video codec ('copy' to copy stream)) with argument copy.
Successfully parsed a group of options.
Opening an output file: foo.mkv.
Successfully opened the file.
[matroska @ 0x19eeab0] Codec for stream 0 does not use global headers but container format requires global headers
Output #0, matroska, to 'foo.mkv':
  Metadata:
    encoder         : Lavf56.37.100
    Stream #0:0, 0, 1/1000: Video: h264, 1 reference frame (H264 / 0x34363248), yuv420p(left), 1024x768 (0x0), 1/1000000, q=2-31, -4 kb/s, 25 fps, 25 tbr, 1k tbn, 1000k tbc
Stream mapping:
  Stream #0:0 -> #0:0 (copy)
Press [q] to stop, [?] for help
[matroska @ 0x19eeab0] Writing block at offset 562, size 511, pts 0, dts 0, duration 0, keyframe 1
[matroska @ 0x19eeab0] Writing block at offset 1080, size 593, pts 0, dts 0, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 1680, size 672, pts 40, dts 40, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 2359, size 604, pts 80, dts 80, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 2970, size 756, pts 120, dts 120, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 3733, size 1013, pts 160, dts 160, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 4753, size 926, pts 200, dts 200, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 5686, size 1062, pts 240, dts 240, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 6755, size 1657, pts 280, dts 280, duration 0, keyframe 0
[matroska @ 0x19eeab0] Writing block at offset 8419, size 2399, pts 320, dts 320, duration 0, keyframe 0
[matroska @ 0x19eeab0] Starting new cluster at offset 10825 bytes, pts 1400dts 1400
[matroska @ 0x19eeab0] Writing block at offset 10841, size 1853, pts 1400, dts 1400, duration 0, keyframe 1
[matroska @ 0x19eeab0] Non-monotonous DTS in output stream 0:0; previous: 1400, current: 400; changing to 1400. This may result in incorrect timestamps in the output file.
[matroska @ 0x19eeab0] Writing block at offset 12701, size 1687, pts 1400, dts 1400, duration 0, keyframe 0
[matroska @ 0x19eeab0] Non-monotonous DTS in output stream 0:0; previous: 1400, current: 440; changing to 1400. This may result in incorrect timestamps in the output file.
[matroska @ 0x19eeab0] Writing block at offset 14395, size 2349, pts 1400, dts 1400, duration 0, keyframe 0
...
[matroska @ 0x19eeab0] end duration = 2600
frame=   50 fps= 30 q=-1.0 Lsize=     134kB time=00:00:02.60 bitrate= 423.4kbits/s
video:133kB audio:0kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 0.789512%
Input file #0 (/dev/video0):
  Input stream #0:0 (video): 50 packets read (136540 bytes); 
  Total: 50 packets (136540 bytes) demuxed
Output file #0 (foo.mkv):
  Output stream #0:0 (video): 50 packets muxed (136540 bytes); 
  Total: 50 packets (136540 bytes) muxed
0 frames successfully decoded, 0 decoding errors

For reference, here is the complete log from '-f v4l2 -input_format h264 ... -vcodec copy' that doesn't work for me (with st->need_parsing = AVSTREAM_PARSE_HEADERS per ticket #2882):

$ rm -f foo.mkv
$ ./ffmpeg -report  -f v4l2 -input_format h264  -i /dev/video0 -vcodec copy -loglevel debug -y foo.mkv
ffmpeg started on 2015-06-19 at 22:06:53
Report written to "ffmpeg-20150619-220653.log"
ffmpeg version N-73009-gd1dce1c Copyright (c) 2000-2015 the FFmpeg developers
  built with gcc 4.6 (Debian 4.6.3-14+rpi1)
  configuration: --prefix=/usr/local --extra-cflags=-I/usr/local/includes --extra-ldflags=-L/usr/local/lib --disable-doc --enable-gpl --enable-libfreetype --enable-libmp3lame --enable-libx264 --enable-libv4l2 --enable-fontconfig --enable-libfreetype --enable-nonfree --enable-libfaac --enable-libfdk-aac --disable-libvpx
  libavutil      54. 27.100 / 54. 27.100
  libavcodec     56. 41.100 / 56. 41.100
  libavformat    56. 37.100 / 56. 37.100
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 17.100 /  5. 17.100
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.100 /  1.  2.100
  libpostproc    53.  3.100 / 53.  3.100
Splitting the commandline.
Reading option '-report' ... matched as option 'report' (generate a report) with argument '1'.
Reading option '-f' ... matched as option 'f' (force format) with argument 'v4l2'.
Reading option '-input_format' ... matched as AVOption 'input_format' with argument 'h264'.
Reading option '-i' ... matched as input file with argument '/dev/video0'.
Reading option '-vcodec' ... matched as option 'vcodec' (force video codec ('copy' to copy stream)) with argument 'copy'.
Reading option '-loglevel' ... matched as option 'loglevel' (set logging level) with argument 'debug'.
Reading option '-y' ... matched as option 'y' (overwrite output files) with argument '1'.
Reading option 'foo.mkv' ... matched as output file.
Finished splitting the commandline.
Parsing a group of options: global .
Applying option report (generate a report) with argument 1.
Applying option loglevel (set logging level) with argument debug.
Applying option y (overwrite output files) with argument 1.
Successfully parsed a group of options.
Parsing a group of options: input file /dev/video0.
Applying option f (force format) with argument v4l2.
Successfully parsed a group of options.
Opening an input file: /dev/video0.
[video4linux2,v4l2 @ 0x19149e0] fd:4 capabilities:85200005
[video4linux2,v4l2 @ 0x19149e0] Current input_channel: 0, input_name: Camera 0, input_std: 0
[video4linux2,v4l2 @ 0x19149e0] Querying the device for the current frame size
[video4linux2,v4l2 @ 0x19149e0] Setting frame size to 1024x768
[h264 @ 0x1915230] missing picture in access unit with size 27
[h264 @ 0x1915230] no frame!
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 11 with DTS 7795044931, packet 12 with DTS 7794004657
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 22 with DTS 7795444758, packet 23 with DTS 7794404446
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 26 with DTS 7794524382, packet 27 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 27 with DTS 0, packet 28 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 28 with DTS 0, packet 29 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 29 with DTS 0, packet 30 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 30 with DTS 0, packet 31 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 31 with DTS 0, packet 32 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 32 with DTS 0, packet 33 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 33 with DTS 0, packet 34 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 34 with DTS 0, packet 35 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 35 with DTS 0, packet 36 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 36 with DTS 0, packet 37 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 37 with DTS 0, packet 38 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 38 with DTS 0, packet 39 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 39 with DTS 0, packet 40 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 40 with DTS 0, packet 41 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 41 with DTS 0, packet 42 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 42 with DTS 0, packet 43 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 43 with DTS 0, packet 44 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 44 with DTS 0, packet 45 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 45 with DTS 0, packet 46 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 46 with DTS 0, packet 47 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 47 with DTS 0, packet 48 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 48 with DTS 0, packet 49 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 49 with DTS 0, packet 50 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 50 with DTS 0, packet 51 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 51 with DTS 0, packet 52 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 52 with DTS 0, packet 53 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 53 with DTS 0, packet 54 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 54 with DTS 0, packet 55 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 55 with DTS 0, packet 56 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 56 with DTS 0, packet 57 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 57 with DTS 0, packet 58 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 58 with DTS 0, packet 59 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 59 with DTS 0, packet 60 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 60 with DTS 0, packet 61 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 61 with DTS 0, packet 62 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 62 with DTS 0, packet 63 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 63 with DTS 0, packet 64 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 64 with DTS 0, packet 65 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 65 with DTS 0, packet 66 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 66 with DTS 0, packet 67 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 67 with DTS 0, packet 68 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 68 with DTS 0, packet 69 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 69 with DTS 0, packet 70 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 70 with DTS 0, packet 71 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 71 with DTS 0, packet 72 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 72 with DTS 0, packet 73 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 73 with DTS 0, packet 74 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 74 with DTS 0, packet 75 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 75 with DTS 0, packet 76 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 76 with DTS 0, packet 77 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 77 with DTS 0, packet 78 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 78 with DTS 0, packet 79 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 79 with DTS 0, packet 80 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 80 with DTS 0, packet 81 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 81 with DTS 0, packet 82 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 82 with DTS 0, packet 83 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 83 with DTS 0, packet 84 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 84 with DTS 0, packet 85 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 85 with DTS 0, packet 86 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 86 with DTS 0, packet 87 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 87 with DTS 0, packet 88 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 88 with DTS 0, packet 89 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 89 with DTS 0, packet 90 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 90 with DTS 0, packet 91 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 91 with DTS 0, packet 92 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 92 with DTS 0, packet 93 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 93 with DTS 0, packet 94 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 94 with DTS 0, packet 95 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 95 with DTS 0, packet 96 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 96 with DTS 0, packet 97 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 97 with DTS 0, packet 98 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 98 with DTS 0, packet 99 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 99 with DTS 0, packet 100 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 100 with DTS 0, packet 101 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 101 with DTS 0, packet 102 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 102 with DTS 0, packet 103 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 103 with DTS 0, packet 104 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 104 with DTS 0, packet 105 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 105 with DTS 0, packet 106 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 106 with DTS 0, packet 107 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 107 with DTS 0, packet 108 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 108 with DTS 0, packet 109 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 109 with DTS 0, packet 110 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 110 with DTS 0, packet 111 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 111 with DTS 0, packet 112 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 112 with DTS 0, packet 113 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 113 with DTS 0, packet 114 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 114 with DTS 0, packet 115 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 115 with DTS 0, packet 116 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 116 with DTS 0, packet 117 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 117 with DTS 0, packet 118 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 118 with DTS 0, packet 119 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 119 with DTS 0, packet 120 with DTS 0
[h264 @ 0x1915230] missing picture in access unit with size 27
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 120 with DTS 0, packet 121 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 121 with DTS 0, packet 122 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 122 with DTS 0, packet 123 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 123 with DTS 0, packet 124 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] Non-increasing DTS in stream 0: packet 124 with DTS 0, packet 125 with DTS 0
[video4linux2,v4l2 @ 0x19149e0] max_analyze_duration 5000000 reached at 5000000 microseconds
Input #0, video4linux2,v4l2, from '/dev/video0':
  Duration: N/A, start: -140454816.843517, bitrate: N/A
    Stream #0:0, 125, 1/1000000: Video: h264 (High), 1 reference frame, yuv420p(left), 1024x768, 1/2000000, -4 kb/s, 25 fps, 25 tbr, 1000k tbn, 2000k tbc
Successfully opened the file.
Parsing a group of options: output file foo.mkv.
Applying option vcodec (force video codec ('copy' to copy stream)) with argument copy.
Successfully parsed a group of options.
Opening an output file: foo.mkv.
Successfully opened the file.
[matroska @ 0x1990230] Codec for stream 0 does not use global headers but container format requires global headers
Output #0, matroska, to 'foo.mkv':
  Metadata:
    encoder         : Lavf56.37.100
    Stream #0:0, 0, 1/1000: Video: h264, 1 reference frame (H264 / 0x34363248), yuv420p(left), 1024x768 (0x0), 1/1000000, q=2-31, -4 kb/s, 25 fps, 25 tbr, 1k tbn, 1000k tbc
Stream mapping:
  Stream #0:0 -> #0:0 (copy)
Press [q] to stop, [?] for help
[matroska @ 0x1990230] Writing block at offset 529, size 228, pts 0, dts 0, duration 0, keyframe 1
DTS 140462610488363, next:0 st:0 invalid dropping
PTS 140462610488363, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 764, size 31, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610528342, next:0 st:0 invalid dropping
PTS 140462610528342, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 801, size 31, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610568321, next:0 st:0 invalid dropping
PTS 140462610568321, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 838, size 31, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610608300, next:0 st:0 invalid dropping
PTS 140462610608300, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 875, size 31, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610648279, next:0 st:0 invalid dropping
PTS 140462610648279, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 912, size 31, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610688259, next:0 st:0 invalid dropping
PTS 140462610688259, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 949, size 253, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610728237, next:0 st:0 invalid dropping
PTS 140462610728237, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 1209, size 198, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610768216, next:0 st:0 invalid dropping
PTS 140462610768216, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 1414, size 371, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610808195, next:0 st:0 invalid dropping
PTS 140462610808195, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 1792, size 704, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611888448, next:0 st:0 invalid dropping
PTS 140462611888448, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 2503, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610848174, next:0 st:0 invalid dropping
PTS 140462610848174, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 2536, size 500, pts 0, dts 0, duration 0, keyframe 1
DTS 140462610888158, next:0 st:0 invalid dropping
PTS 140462610888158, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 3043, size 464, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610928131, next:0 st:0 invalid dropping
PTS 140462610928131, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 3514, size 369, pts 0, dts 0, duration 0, keyframe 0
DTS 140462610968110, next:0 st:0 invalid dropping
PTS 140462610968110, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 3890, size 674, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611008089, next:0 st:0 invalid dropping
PTS 140462611008089, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 4571, size 1726, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611048068, next:0 st:0 invalid dropping
PTS 140462611048068, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 6304, size 991, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611088047, next:0 st:0 invalid dropping
PTS 140462611088047, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 7302, size 761, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611128026, next:0 st:0 invalid dropping
PTS 140462611128026, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 8070, size 746, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611168005, next:0 st:0 invalid dropping
PTS 140462611168005, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 8823, size 740, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611207984, next:0 st:0 invalid dropping
PTS 140462611207984, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 9570, size 648, pts 0, dts 0, duration 0, keyframe 0
DTS 140462612288275, next:0 st:0 invalid dropping
PTS 140462612288275, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 10225, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611247963, next:0 st:0 invalid dropping
PTS 140462611247963, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 10258 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 10273, size 1507, pts 0, dts 0, duration 0, keyframe 1
DTS 140462611287941, next:0 st:0 invalid dropping
PTS 140462611287941, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 11787, size 693, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611327920, next:0 st:0 invalid dropping
PTS 140462611327920, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 12487, size 683, pts 0, dts 0, duration 0, keyframe 0
DTS 140462611367899, next:0 st:0 invalid dropping
PTS 140462611367899, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 13177, size 693, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 13877, size 618, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 14502, size 633, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 15142, size 674, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 15823, size 684, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 16514, size 668, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 17189, size 715, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 17911, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 17944 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 17959, size 1780, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 19746, size 783, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 20536, size 753, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 21296, size 804, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 22107, size 735, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 22849, size 792, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 23648, size 803, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 24458, size 863, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 25328, size 876, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 26211, size 907, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 27125, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 27158 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 27173, size 2049, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 29229, size 1063, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 30299, size 888, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 31194, size 846, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 32047, size 824, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 32878, size 852, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 33737, size 878, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 34622, size 901, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 35530, size 885, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 36422, size 909, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 37338, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 37371 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 37386, size 2091, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 39484, size 1008, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 40499, size 947, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 41453, size 990, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 42450, size 935, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 43392, size 981, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 44380, size 934, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 45321, size 932, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 46260, size 980, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 47247, size 1009, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 48263, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 48296 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 48311, size 2201, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 50519, size 1207, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 51733, size 1286, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 53026, size 1405, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 54438, size 1437, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 55882, size 1369, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 57258, size 1356, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 58621, size 1258, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 59886, size 1334, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 61227, size 1437, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 62671, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 62704 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 62719, size 2627, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 65353, size 1644, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 67004, size 1517, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 68528, size 1550, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 70085, size 1525, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 71617, size 1474, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 73098, size 1547, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 74652, size 1418, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 76077, size 1416, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 77500, size 1398, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 78905, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 78938 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 78953, size 2650, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 81610, size 1561, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 83178, size 1398, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 84583, size 1533, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 86123, size 1412, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 87542, size 1406, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 88955, size 1374, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 90336, size 1357, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 91700, size 1260, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 92967, size 1277, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 94251, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 94284 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 94299, size 2419, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 96725, size 1283, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 98015, size 1244, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 99266, size 1183, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 100456, size 1202, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 101665, size 1202, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 102874, size 1353, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 104234, size 1417, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 105658, size 1497, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 107162, size 1581, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 108750, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 108783 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 108798, size 2819, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 111624, size 1498, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 113129, size 1332, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 114468, size 1288, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 115763, size 1252, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 117022, size 1327, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 118356, size 1237, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 119600, size 1246, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 120853, size 1179, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 122039, size 1186, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 123232, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 123265 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 123280, size 2460, pts 0, dts 0, duration 0, keyframe 1
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 125747, size 1259, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 127013, size 1179, pts 0, dts 0, duration 0, keyframe 0
DTS 140454816843517, next:0 st:0 invalid dropping
PTS 140454816843517, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 128199, size 1164, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615005979, next:0 st:0 invalid dropping
PTS 140462615005979, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 129370, size 1131, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615045959, next:0 st:0 invalid dropping
PTS 140462615045959, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 130508, size 1195, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615085937, next:0 st:0 invalid dropping
PTS 140462615085937, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 131710, size 1053, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615125916, next:0 st:0 invalid dropping
PTS 140462615125916, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 132770, size 1072, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615165895, next:0 st:0 invalid dropping
PTS 140462615165895, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 133849, size 1065, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615205874, next:0 st:0 invalid dropping
PTS 140462615205874, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 134921, size 1008, pts 0, dts 0, duration 0, keyframe 0
[NULL @ 0x1915230] missing picture in access unit with size 27
DTS 140462616286169, next:0 st:0 invalid dropping
PTS 140462616286169, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 135936, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615245853, next:0 st:0 invalid dropping
PTS 140462615245853, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 135969 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 135984, size 2200, pts 0, dts 0, duration 0, keyframe 1
DTS 140462615285832, next:0 st:0 invalid dropping
PTS 140462615285832, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 138191, size 1113, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615325811, next:0 st:0 invalid dropping
PTS 140462615325811, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 139311, size 1120, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615365790, next:0 st:0 invalid dropping
PTS 140462615365790, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 140438, size 1076, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615405769, next:0 st:0 invalid dropping
PTS 140462615405769, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 141521, size 1100, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615445748, next:0 st:0 invalid dropping
PTS 140462615445748, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 142628, size 1145, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615485726, next:0 st:0 invalid dropping
PTS 140462615485726, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 143780, size 1192, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615525706, next:0 st:0 invalid dropping0:00:00.00 bitrate=N/A    
PTS 140462615525706, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 144979, size 1196, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615565684, next:0 st:0 invalid dropping
PTS 140462615565684, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 146182, size 1229, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615605663, next:0 st:0 invalid dropping
PTS 140462615605663, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 147418, size 1221, pts 0, dts 0, duration 0, keyframe 0
[NULL @ 0x1915230] missing picture in access unit with size 27
DTS 140462616685968, next:0 st:0 invalid dropping
PTS 140462616685968, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 148646, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615645642, next:0 st:0 invalid dropping
PTS 140462615645642, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 148679 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 148694, size 2479, pts 0, dts 0, duration 0, keyframe 1
DTS 140462615685621, next:0 st:0 invalid dropping
PTS 140462615685621, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 151180, size 1337, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615725600, next:0 st:0 invalid dropping
PTS 140462615725600, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 152524, size 1210, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615765579, next:0 st:0 invalid dropping
PTS 140462615765579, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 153741, size 1271, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615805558, next:0 st:0 invalid dropping
PTS 140462615805558, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 155019, size 1309, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615845537, next:0 st:0 invalid dropping
PTS 140462615845537, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 156335, size 1283, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615885515, next:0 st:0 invalid dropping
PTS 140462615885515, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 157625, size 1404, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615925494, next:0 st:0 invalid dropping
PTS 140462615925494, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 159036, size 1480, pts 0, dts 0, duration 0, keyframe 0
DTS 140462615965473, next:0 st:0 invalid dropping
PTS 140462615965473, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 160523, size 1519, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616005452, next:0 st:0 invalid dropping0:00:00.00 bitrate=N/A    
PTS 140462616005452, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 162049, size 1534, pts 0, dts 0, duration 0, keyframe 0
[NULL @ 0x1915230] missing picture in access unit with size 27
DTS 140462617085749, next:0 st:0 invalid dropping
PTS 140462617085749, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 163590, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616045431, next:0 st:0 invalid dropping
PTS 140462616045431, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 163623 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 163638, size 2731, pts 0, dts 0, duration 0, keyframe 1
DTS 140462616085410, next:0 st:0 invalid dropping
PTS 140462616085410, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 166376, size 1550, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616125389, next:0 st:0 invalid dropping
PTS 140462616125389, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 167933, size 1298, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616165368, next:0 st:0 invalid dropping
PTS 140462616165368, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 169238, size 1313, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616205347, next:0 st:0 invalid dropping
PTS 140462616205347, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 170558, size 1202, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616245325, next:0 st:0 invalid dropping
PTS 140462616245325, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 171767, size 1174, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616285305, next:0 st:0 invalid dropping
PTS 140462616285305, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 172948, size 1172, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616325284, next:0 st:0 invalid dropping
PTS 140462616325284, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 174127, size 1237, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616365262, next:0 st:0 invalid dropping
PTS 140462616365262, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 175371, size 1162, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616405241, next:0 st:0 invalid dropping
PTS 140462616405241, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 176540, size 1156, pts 0, dts 0, duration 0, keyframe 0
[NULL @ 0x1915230] missing picture in access unit with size 27
DTS 140462617485525, next:0 st:0 invalid dropping
PTS 140462617485525, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 177703, size 27, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616445220, next:0 st:0 invalid dropping
PTS 140462616445220, next:0 invalid dropping st:0
[matroska @ 0x1990230] Starting new cluster at offset 177736 bytes, pts 0dts 0
[matroska @ 0x1990230] Writing block at offset 177751, size 2341, pts 0, dts 0, duration 0, keyframe 1
DTS 140462616485199, next:0 st:0 invalid dropping
PTS 140462616485199, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 180099, size 1193, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616525178, next:0 st:0 invalid dropping0:00:00.00 bitrate=N/A    
PTS 140462616525178, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 181299, size 1139, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616565157, next:0 st:0 invalid dropping
PTS 140462616565157, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 182445, size 1157, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616605136, next:0 st:0 invalid dropping
PTS 140462616605136, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 183609, size 1116, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616645115, next:0 st:0 invalid dropping
PTS 140462616645115, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 184732, size 1133, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616685094, next:0 st:0 invalid dropping
PTS 140462616685094, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 185872, size 1160, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616725073, next:0 st:0 invalid dropping
PTS 140462616725073, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 187039, size 1197, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616765052, next:0 st:0 invalid dropping
PTS 140462616765052, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 188243, size 1180, pts 0, dts 0, duration 0, keyframe 0
DTS 140462616805030, next:0 st:0 invalid dropping
PTS 140462616805030, next:0 invalid dropping st:0
[matroska @ 0x1990230] Writing block at offset 189430, size 1154, pts 0, dts 0, duration 0, keyframe 0
[matroska @ 0x1990230] end duration = 0
frame=  175 fps= 94 q=-1.0 Lsize=     186kB time=00:00:00.00 bitrate=N/A    
video:184kB audio:0kB subtitle:0kB other streams:0kB global headers:0kB muxing overhead: 1.045869%
Input file #0 (/dev/video0):
  Input stream #0:0 (video): 176 packets read (188674 bytes); 
  Total: 176 packets (188674 bytes) demuxed
Output file #0 (foo.mkv):
  Output stream #0:0 (video): 175 packets muxed (188647 bytes); 
  Total: 175 packets (188647 bytes) muxed
0 frames successfully decoded, 0 decoding errors
[AVIOContext @ 0x1914540] Statistics: 52 seeks, 207 writeouts
$ ls -l foo.mkv
-rw-r--r-- 1 pi pi 190620 Jun 19 22:07 foo.mkv
$ ./ffprobe -loglevel debug foo.mkv
ffprobe version N-73009-gd1dce1c Copyright (c) 2007-2015 the FFmpeg developers
  built with gcc 4.6 (Debian 4.6.3-14+rpi1)
  configuration: --prefix=/usr/local --extra-cflags=-I/usr/local/includes --extra-ldflags=-L/usr/local/lib --disable-doc --enable-gpl --enable-libfreetype --enable-libmp3lame --enable-libx264 --enable-libv4l2 --enable-fontconfig --enable-libfreetype --enable-nonfree --enable-libfaac --enable-libfdk-aac --disable-libvpx
  libavutil      54. 27.100 / 54. 27.100
  libavcodec     56. 41.100 / 56. 41.100
  libavformat    56. 37.100 / 56. 37.100
  libavdevice    56.  4.100 / 56.  4.100
  libavfilter     5. 17.100 /  5. 17.100
  libswscale      3.  1.101 /  3.  1.101
  libswresample   1.  2.100 /  1.  2.100
  libpostproc    53.  3.100 / 53.  3.100
[matroska,webm @ 0x2afdf90] Format matroska,webm probed with size=2048 and score=100
st:0 removing common factor 1000000 from timebase
[matroska,webm @ 0x2afdf90] Before avformat_find_stream_info() pos: 518 bytes read:32768 seeks:0
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] non-existing PPS 0 referenced
    Last message repeated 1 times
[h264 @ 0x2aff4a0] decode_slice_header error
[h264 @ 0x2aff4a0] no frame!
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[h264 @ 0x2aff4a0] no frame!
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 18 with DTS 0, packet 19 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 19 with DTS 0, packet 20 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 20 with DTS 0, packet 21 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 21 with DTS 0, packet 22 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 22 with DTS 0, packet 23 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 23 with DTS 0, packet 24 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 24 with DTS 0, packet 25 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 25 with DTS 0, packet 26 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 26 with DTS 0, packet 27 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 27 with DTS 0, packet 28 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 28 with DTS 0, packet 29 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 29 with DTS 0, packet 30 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 30 with DTS 0, packet 31 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 31 with DTS 0, packet 32 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 32 with DTS 0, packet 33 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 33 with DTS 0, packet 34 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 34 with DTS 0, packet 35 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 35 with DTS 0, packet 36 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 36 with DTS 0, packet 37 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 37 with DTS 0, packet 38 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 38 with DTS 0, packet 39 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 39 with DTS 0, packet 40 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 40 with DTS 0, packet 41 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 41 with DTS 0, packet 42 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 42 with DTS 0, packet 43 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 43 with DTS 0, packet 44 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 44 with DTS 0, packet 45 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 45 with DTS 0, packet 46 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 46 with DTS 0, packet 47 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 47 with DTS 0, packet 48 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 48 with DTS 0, packet 49 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 49 with DTS 0, packet 50 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 50 with DTS 0, packet 51 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 51 with DTS 0, packet 52 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 52 with DTS 0, packet 53 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 53 with DTS 0, packet 54 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 54 with DTS 0, packet 55 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 55 with DTS 0, packet 56 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 56 with DTS 0, packet 57 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 57 with DTS 0, packet 58 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 58 with DTS 0, packet 59 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 59 with DTS 0, packet 60 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 60 with DTS 0, packet 61 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 61 with DTS 0, packet 62 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 62 with DTS 0, packet 63 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 63 with DTS 0, packet 64 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 64 with DTS 0, packet 65 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 65 with DTS 0, packet 66 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 66 with DTS 0, packet 67 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 67 with DTS 0, packet 68 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 68 with DTS 0, packet 69 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 69 with DTS 0, packet 70 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 70 with DTS 0, packet 71 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 71 with DTS 0, packet 72 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 72 with DTS 0, packet 73 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 73 with DTS 0, packet 74 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 74 with DTS 0, packet 75 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 75 with DTS 0, packet 76 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 76 with DTS 0, packet 77 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 77 with DTS 0, packet 78 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 78 with DTS 0, packet 79 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 79 with DTS 0, packet 80 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 80 with DTS 0, packet 81 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 81 with DTS 0, packet 82 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 82 with DTS 0, packet 83 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 83 with DTS 0, packet 84 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 84 with DTS 0, packet 85 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 85 with DTS 0, packet 86 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 86 with DTS 0, packet 87 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 87 with DTS 0, packet 88 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 88 with DTS 0, packet 89 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 89 with DTS 0, packet 90 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 90 with DTS 0, packet 91 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 91 with DTS 0, packet 92 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 92 with DTS 0, packet 93 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 93 with DTS 0, packet 94 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 94 with DTS 0, packet 95 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 95 with DTS 0, packet 96 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 96 with DTS 0, packet 97 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 97 with DTS 0, packet 98 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 98 with DTS 0, packet 99 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 99 with DTS 0, packet 100 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 100 with DTS 0, packet 101 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 101 with DTS 0, packet 102 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 102 with DTS 0, packet 103 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 103 with DTS 0, packet 104 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 104 with DTS 0, packet 105 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 105 with DTS 0, packet 106 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 106 with DTS 0, packet 107 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 107 with DTS 0, packet 108 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 108 with DTS 0, packet 109 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 109 with DTS 0, packet 110 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 110 with DTS 0, packet 111 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 111 with DTS 0, packet 112 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 112 with DTS 0, packet 113 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 113 with DTS 0, packet 114 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 114 with DTS 0, packet 115 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 115 with DTS 0, packet 116 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 116 with DTS 0, packet 117 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 117 with DTS 0, packet 118 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 118 with DTS 0, packet 119 with DTS 0
[h264 @ 0x2aff4a0] missing picture in access unit with size 27
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 119 with DTS 0, packet 120 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 120 with DTS 0, packet 121 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 121 with DTS 0, packet 122 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 122 with DTS 0, packet 123 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 123 with DTS 0, packet 124 with DTS 0
[matroska,webm @ 0x2afdf90] Non-increasing DTS in stream 0: packet 124 with DTS 0, packet 125 with DTS 0
[matroska,webm @ 0x2afdf90] max_analyze_duration 5000000 reached at 5000000 microseconds
[matroska,webm @ 0x2afdf90] After avformat_find_stream_info() pos: 130508 bytes read:131072 seeks:0 frames:125
Input #0, matroska,webm, from 'foo.mkv':
  Metadata:
    ENCODER         : Lavf56.37.100
  Duration: N/A, start: 0.000000, bitrate: N/A
    Stream #0:0, 125, 1/1000: Video: h264 (High), 1 reference frame, yuv420p(left), 1024x768, 1/2000, SAR 1:1 DAR 4:3, 25 fps, 25 tbr, 1k tbn, 2k tbc (default)
detected 4 logical cores
[AVIOContext @ 0x2b06640] Statistics: 131072 bytes read, 0 seeks

I'm seeing this problem all models of Raspberry Pi with the Pi Camera Module. On the software side, I'm running Raspbian (2015-05-05) which is based on Debian Wheezy (7.8).

$ uname -a
Linux raspberrypi 3.18.11-v7+ #781 SMP PREEMPT Tue Apr 21 18:07:59 BST 2015 armv7l GNU/Linux
$ lsmod |egrep 'v4l2|video'
bcm2835_v4l2           37225  0 
videobuf2_vmalloc       3009  1 bcm2835_v4l2
videobuf2_memops        1552  1 videobuf2_vmalloc
videobuf2_core         33578  1 bcm2835_v4l2
v4l2_common             5077  2 bcm2835_v4l2,videobuf2_core
videodev              122487  3 bcm2835_v4l2,v4l2_common,videobuf2_core
media                  11577  1 videodev

Here's some output from v4l-ctl about support features available:

$ v4l2-ctl -V
Format Video Capture:
	Width/Height  : 800/600
	Pixel Format  : 'H264'
	Field         : None
	Bytes per Line: 800
	Size Image    : 486400
	Colorspace    : Broadcast NTSC/PAL (SMPTE170M/ITU601)
	Custom Info   : feedcafe

$ v4l2-ctl --list-formats-ext 
ioctl: VIDIOC_ENUM_FMT
	Index       : 0
	Type        : Video Capture
	Pixel Format: 'YU12'
	Name        : 4:2:0, packed YUV
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 1
	Type        : Video Capture
	Pixel Format: 'YUYV'
	Name        : 4:2:2, packed, YUYV
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 2
	Type        : Video Capture
	Pixel Format: 'RGB3'
	Name        : RGB24 (LE)
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 3
	Type        : Video Capture
	Pixel Format: 'JPEG' (compressed)
	Name        : JPEG
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 4
	Type        : Video Capture
	Pixel Format: 'H264' (compressed)
	Name        : H264
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 5
	Type        : Video Capture
	Pixel Format: 'MJPG' (compressed)
	Name        : MJPEG
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 6
	Type        : Video Capture
	Pixel Format: 'YVYU'
	Name        : 4:2:2, packed, YVYU
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 7
	Type        : Video Capture
	Pixel Format: 'VYUY'
	Name        : 4:2:2, packed, VYUY
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 8
	Type        : Video Capture
	Pixel Format: 'UYVY'
	Name        : 4:2:2, packed, UYVY
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 9
	Type        : Video Capture
	Pixel Format: 'NV12'
	Name        : 4:2:0, packed, NV12
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 10
	Type        : Video Capture
	Pixel Format: 'BGR3'
	Name        : RGB24 (BE)
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 11
	Type        : Video Capture
	Pixel Format: 'YV12'
	Name        : 4:2:0, packed YVU
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 12
	Type        : Video Capture
	Pixel Format: 'NV21'
	Name        : 4:2:0, packed, NV21
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

	Index       : 13
	Type        : Video Capture
	Pixel Format: 'BGR4'
	Name        : RGB32 (BE)
		Size: Stepwise 16x16 - 2592x1944 with step 2/2

$ v4l2-ctl  -L

User Controls

                     brightness (int)    : min=0 max=100 step=1 default=50 value=50 flags=slider
                       contrast (int)    : min=-100 max=100 step=1 default=0 value=0 flags=slider
                     saturation (int)    : min=-100 max=100 step=1 default=0 value=0 flags=slider
                    red_balance (int)    : min=1 max=7999 step=1 default=1000 value=1000 flags=slider
                   blue_balance (int)    : min=1 max=7999 step=1 default=1000 value=1000 flags=slider
                horizontal_flip (bool)   : default=0 value=1
                  vertical_flip (bool)   : default=0 value=1
           power_line_frequency (menu)   : min=0 max=3 default=1 value=1
				0: Disabled
				1: 50 Hz
				2: 60 Hz
				3: Auto
                      sharpness (int)    : min=-100 max=100 step=1 default=0 value=0 flags=slider
                  color_effects (menu)   : min=0 max=15 default=0 value=0
				0: None
				1: Black & White
				2: Sepia
				3: Negative
				4: Emboss
				5: Sketch
				6: Sky Blue
				7: Grass Green
				8: Skin Whiten
				9: Vivid
				10: Aqua
				11: Art Freeze
				12: Silhouette
				13: Solarization
				14: Antique
				15: Set Cb/Cr
                         rotate (int)    : min=0 max=360 step=90 default=0 value=0
             color_effects_cbcr (int)    : min=0 max=65535 step=1 default=32896 value=32896

Codec Controls

             video_bitrate_mode (menu)   : min=0 max=1 default=0 value=0 flags=update
				0: Variable Bitrate
				1: Constant Bitrate
                  video_bitrate (int)    : min=25000 max=25000000 step=25000 default=10000000 value=6000000
         repeat_sequence_header (bool)   : default=0 value=1
            h264_i_frame_period (int)    : min=0 max=2147483647 step=1 default=60 value=3
                     h264_level (menu)   : min=0 max=11 default=11 value=11
				0: 1
				1: 1b
				2: 1.1
				3: 1.2
				4: 1.3
				5: 2
				6: 2.1
				7: 2.2
				8: 3
				9: 3.1
				10: 3.2
				11: 4
                   h264_profile (menu)   : min=0 max=4 default=4 value=4
				0: Baseline
				1: Constrained Baseline
				2: Main
				4: High

Camera Controls

                  auto_exposure (menu)   : min=0 max=3 default=0 value=0
				0: Auto Mode
				1: Manual Mode
         exposure_time_absolute (int)    : min=1 max=10000 step=1 default=1000 value=1000
     exposure_dynamic_framerate (bool)   : default=0 value=0
             auto_exposure_bias (intmenu): min=0 max=24 default=12 value=12
				0: -4000 (0xfffffffffffff060)
				1: -3667 (0xfffffffffffff1ad)
				2: -3333 (0xfffffffffffff2fb)
				3: -3000 (0xfffffffffffff448)
				4: -2667 (0xfffffffffffff595)
				5: -2333 (0xfffffffffffff6e3)
				6: -2000 (0xfffffffffffff830)
				7: -1667 (0xfffffffffffff97d)
				8: -1333 (0xfffffffffffffacb)
				9: -1000 (0xfffffffffffffc18)
				10: -667 (0xfffffffffffffd65)
				11: -333 (0xfffffffffffffeb3)
				12: 0 (0x0)
				13: 333 (0x14d)
				14: 667 (0x29b)
				15: 1000 (0x3e8)
				16: 1333 (0x535)
				17: 1667 (0x683)
				18: 2000 (0x7d0)
				19: 2333 (0x91d)
				20: 2667 (0xa6b)
				21: 3000 (0xbb8)
				22: 3333 (0xd05)
				23: 3667 (0xe53)
				24: 4000 (0xfa0)
      white_balance_auto_preset (menu)   : min=0 max=9 default=1 value=1
				0: Manual
				1: Auto
				2: Incandescent
				3: Fluorescent
				4: Fluorescent H
				5: Horizon
				6: Daylight
				7: Flash
				8: Cloudy
				9: Shade
            image_stabilization (bool)   : default=0 value=0
                iso_sensitivity (intmenu): min=0 max=4 default=0 value=0
				0: 0 (0x0)
				1: 100 (0x64)
				2: 200 (0xc8)
				3: 400 (0x190)
				4: 800 (0x320)
         exposure_metering_mode (menu)   : min=0 max=2 default=0 value=0
				0: Average
				1: Center Weighted
				2: Spot
                     scene_mode (menu)   : min=0 max=13 default=0 value=0
				0: None
				8: Night
				11: Sports

JPEG Compression Controls

            compression_quality (int)    : min=1 max=100 step=1 default=30 value=30

comment:27 Changed 15 months ago by cehoyos

  • Resolution set to fixed
  • Status changed from reopened to closed

Please do not reopen ancient tickets.

Note: See TracTickets for help on using tickets.